summaryrefslogtreecommitdiffstats
path: root/office/abiword/abiword.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:26:02 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:26:02 +0200
commitb123beffc871a314907965ab26bff7aebe3371ea (patch)
treed4f0fe32724417bc03cface8554e7932226c9661 /office/abiword/abiword.SlackBuild
parent5d761ac16853817ed23c5e4cdf582bbf9e034f3f (diff)
downloadslackbuilds-b123beffc871a314907965ab26bff7aebe3371ea.tar.gz
slackbuilds-b123beffc871a314907965ab26bff7aebe3371ea.tar.xz
office/abiword: Updated for version 2.6.4
Diffstat (limited to 'office/abiword/abiword.SlackBuild')
-rw-r--r--office/abiword/abiword.SlackBuild59
1 files changed, 33 insertions, 26 deletions
diff --git a/office/abiword/abiword.SlackBuild b/office/abiword/abiword.SlackBuild
index 4cdae80d84..bede317460 100644
--- a/office/abiword/abiword.SlackBuild
+++ b/office/abiword/abiword.SlackBuild
@@ -22,13 +22,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Now maintained by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=abiword
-VERSION=2.4.6
+VERSION=2.6.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,18 +37,26 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION/abi || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -55,31 +64,29 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-gnome \
- --disable-enchant \
- || exit 1
-
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a BUILD.TXT BiDiReadme.txt COPYING COPYRIGHT.TXT CREDITS.TXT \
- README.TXT ../abiword-docs/Tutorials ../abiword-docs/Manual \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+ --enable-threads \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-# Install the man page
-mkdir -p $PKG/usr/man/man1
-cat ../abiword-docs/man/abiword.1 | gzip -9 > $PKG/usr/man/man1/abiword.1.gz
+make
+make install DESTDIR=$PKG
-# Empty directory can go (unless someone has a valid reason for it to stay)
-# /usr/lib/bonobo <-- nothing is in /usr/lib at all otherwise
-rm -rf $PKG/usr/lib
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# No need to clutter up the toplevel /usr/share/icons
mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUILD.TXT BiDiReadme.txt COPYING COPYRIGHT.TXT CREDITS.TXT \
+ README.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh